hts-tvheadend (2.12) hts; urgency=low

  * Add support for IPTV over IPv6

  * Use a native matroska mutiplixer to get better support for metadata, etc

  * Add support for multiple DVR configurations (can be set per recording)

  * Add suport for teletext subtitles

  * Add support for E-AC3

  * Workaround for ITV HD (which has incorrect PMT)
    Ticket #215

  * Keep track of video width and height and send it over HTSP in
    subscriptionStart.
    Ticket #208

  * Add support for Logical Channel Number descriptor (0x83)
    Ticket #138

  * Maintain the order of PIDs as they appear in the PMT.
    Ticket #218

  * When there is no video pid (service type is Radio),
    start the audio stream right away.
    Ticket #59

  * Add subscriptionChangeWeight HTSP method.

  * psi: Assume that elementary stream type 0x81 is AC3 without
    relying on any further descriptors
    Ticket #217

  * Tvheadend no longer depends on FFmpeg so it's not externally updated
    in svn, nor linked.

  * Added a native matroska muxer.
    Correctly writes global headers. Ticket #61
    Add support for recording AAC audio. Ticket #160
    Improves metadata written to files.

  * Tvheadend no longer tries to fixup lack of PTS/DTS for packets
    before sending them over HTSP. Rather, those fields will be left
    out in the message. Currently, all HTSP clients known to mankind
    handles this.

  * Make error detection in timestamp parsing much more robust.  Avoid
    extracting persistent data (such as video width*height) from
    received data if we suspect that an error has occured (MPEG-TS TEI
    or continuity counter errors).

 -- Andreas Öman <andreas@lonelycoder.com>  Mon, 29 Nov 2010 20:06:52 +0100

hts-tvheadend (2.11) hts; urgency=low

  * Add support for filtering autorecordings based on weekdays.

  * Add circular 10.75 GHz LNB

  * Add a new DVB adapter option that allows the entire DVB Mux to be
    written to disk as Tvheadend tunes to it. This should aid a lot when
    it comes to debugging

  * Inject entries in DVR schedule as soon as we know about an EPG
    entry that matches an autorecording rule. Previously Tvheadend
    would scan the EPG continously and just grab shows as they neared
    air time.  The drawbacks of this approach was that it's a bit hard
    to understand what is happening. It also makes (more) correct
    wakeup from suspend hard to do.

  * Add parsing of episode information from XMLTV and display it in the
    WebUI EPG

  * A bug caused the 'Automatic Recorder' tab grid not to reload
    entries upon external change (Such as when a channel got deleted
    or when a new auto recording was created from the EPG view). This
    is now fixed.

  * Add support for storing recorded events in a directory named after
    the event. Ticket #150

  * Add support for appending season and episode numbers to filenames
    during recording.

  * Prior to this release the color (i.e. connection status) of the
    CWC entries were not correctly updated when a connection was established
    or lost. This is now fixed. Ticket #144

  * Add support for prioritized recordings. The user can chose among five
    different priorities.

  * Fix various issues realted to the Recording Schedule user interface.
    The UI now includes better visual feedback on what's going on and if
    there are errors. Also recordings that do not complete successfully
    are correctly reported as failed entries. Ticket #131

  * Add support for Irdeto and Seca EMM

 -- Andreas Öman <andreas@lonelycoder.com>  Sat, 27 Mar 2010 10:03:40 +0100

hts-tvheadend (2.10) hts; urgency=high

  * Fix a crash in HTSP server.

 -- Andreas Öman <andreas@lonelycoder.com>  Thu, 04 Feb 2010 22:21:22 +0100

hts-tvheadend (2.9) hts; urgency=high

  * A last minute bug slipped in the 2.8 release, causing Tvheadend to read
    settings and configuration from incorrect path when also switching user
    during startup. This has now been fixed.

 -- Andreas Öman <andreas@lonelycoder.com>  Mon, 25 Jan 2010 21:23:47 +0100

hts-tvheadend (2.8) hts; urgency=low

  * Added support for AAC audio

  * Added support for manual creation of DVR entries. Prior to this it
    was only possible to schedule a recording based on EPG entries.

  * It's now possible to enable/disable the signal quality monitor per
    adapter. This is now default off as it seem to mostly cause problems
    for people and it's only useful if you have complex setups with
    multiple adapters, etc.

  * Improve logging when subscriptions fail to start

  * More intelligent arbitration amongst all sources when a subscription
    is about to start for a channel. If we cannot descramble or if no
    input is detected, skip to next source.
    Fixes ticket #89

  * Add option for editing channel icon URL in the channel config tab.

  * Fix support for Irdeto ECM

  * Automatically detect if a connected USB DVB adapter is only Full speed
    (ie 12Mbit/s), and if so, limit so Tvheadend only can stream one service
    at the time from the tuned frequency.

  * Add support for extracting provider in the PMT for SECA/Mediaguard

  * Add support for NIT-other tables.
    In particular useful for Ziggo DVB-C networks in the Netherlands.

  * Fix various bugs related to RTP encapsulated IPTV

  * Tvheadend now support placement of configurations and settings at any path.
    Use the '-c' command line option for this. By default Tvheadend puts
    configuration at $HOME/.hts/tvheadend

  * Make it possible to enable debug level log in the web interface.
    Press the small top-right gear icon in the log console to enable/disable
    debug log.

 -- Andreas Öman <andreas@lonelycoder.com>  Mon, 25 Jan 2010 21:23:47 +0100

hts-tvheadend (2.7) hts; urgency=low

  * Added support for DVB subtitles. Currently only forwarded over HTSP

  * Add support for reception of RTP encapsulated IPTV

  * Fixed a crash caused by a race condition when starting a subscription

  * Increase maximum packet size for IPTV to 65536 bytes

 -- Andreas Öman <andreas@lonelycoder.com>  Sun, 06 Dec 2009 20:40:41 +0100

hts-tvheadend (2.6) hts; urgency=low

  * Tvheadend's DVB service probe will now make the channel join tags based
    on the service type and DVB provider name.

  * Add support for tuning on ATSC adapters

  * Add support for sattelite beams with circular polarisation

  * If a user changed the XMLTV source for a channel to 'None', tvheadend
    would crash. This is now fixed.

  * Add support for copying a selection of muxes from one DVB adapter to
    another in the web UI.

  * Support for DVB-S2 has been added

  * Default character encoding in DVB is ISO6937, not Latin-1. Ticket #96

  * Add support for DiSEqC 1.1 / 2.1, configured on per-adapter basis.
    Ticket #99

  * Increase logging and include various stats to XMLTV grab

  * Add support for configuring a per-channel pre/post extra time for
    scheduled recordings. Ticket #104

  * Autodetect CPU capabilities and choose best mode for CSA descrambler.
    Ticket #122

 -- Andreas Öman <andreas@lonelycoder.com>  Sun, 29 Nov 2009 14:02:36 +0100

hts-tvheadend (2.5) hts; urgency=low

  * If a previosly detected DVB adapter was not present during startup,
    Tvheadend would crash. This is now fixed.

  * If XMLTV grabbing was disabled tvheadend would spin in a 100% CPU loop.
    This is now fixed.

  * The HTSP service is now announced via AVAHI (mDNS service discovery)

  * Support for IPTV has been added. Only RAW TS in UDP is supported
    at the moment.

  * Add support for setting default extra times to add before and after
    a recording. Useful if your TV shows never start on time.

  * Use FFmpeg's av_interleaved_write_frame() or some players can't
    play the recorded content (vlc is one)

 -- Andreas Öman <andreas@lonelycoder.com>  Wed, 19 Aug 2009 22:28:02 +0200

hts-tvheadend (2.4) hts; urgency=low

  * Due to a bug, the polarisation of DVB-S muxes was not correctly
    stored internally. This has now been fixed.

  * Fix compilation on 64bit systems

  * Make sure channel <> service mappings are saved when edited from
    DVB service grid

  * Add support for merging one channel into another.
    Useful if you have multiple providers offering the same DVB service
    but with different names.

  * The embedded HTTP server now logs failed requests

  * Use absolute paths when serving static content (the web app itself)
    This was only a problem when fork()ing a development build

  * Rework the CWC reconnection strategy.
    If there are active subscription, Tvheadend will attempt to reconnect
    immediately and then retry every three seconds.
    If no subscription is active a reconnection attempt is performed
    every minute.
    Also, if any CWC configuration changes are made from the UI, Tvheadend
    will try to reconnect directly.

  * If the EPG receives an updated description for an even that is shorter
    than the current description it will be ignored.
    This typically happens if the XMLTV and DVB EIT (Event Information Table)
    differs. In other words, we assume that a longer description of an
    event is better than a short.

 -- Andreas Öman <andreas@lonelycoder.com>  Sun, 26 Jul 2009 13:27:32 +0200

hts-tvheadend (2.3) hts; urgency=low

  * A simple web interface has been added. To access it, visit

    http://host:9981/simple.html

    This web interface is designed to be really tiny with only
    a simple search field and options to record found shows.
    Preferably used from handheld devices.

  * All sensitive information (passwords, etc) are hidden from display
    in the web ui. The text will still be displayed in cleartext when
    editing.

  * Redesigned the DVB configuration tab in the web userinterface:
    - Each adapter have three (or four) tabs
      o General setup and information
      o Grid of multiplexes
      o Grid of services
      o For sattelite adapters, a sattelite configuration tab.

  * Add support for disabling / enabling an entire DVB multiplex

  * Add support for multiple DiSEqC switchports on a single adapter

  * Add support for different sattelite LNBs

  * Graceful handling of DVB adapters that does not support many
    table filters in hardware. Tvheadend will rotate among the available
    ones.

  * Add support for enabling / disabling transports from the DVB configuration

  * Make it possible to remove DVB multiplexes from the web ui

  * Add 'Revert changes' button to all editable grids in the web ui

  * Make it possible to disable the idle scan on per-DVB adapter basis.
    The idle scan is a process to cycles through all multiplex to check
    the quality for each mux continously.

  * Hopefully fix some rounding errors in the EPG display. Ticket #69

  * Use a ''livegrid'' (http://www.ext-livegrid.com/) for displaying EPG.

  * Remove configuration and settings (/home/hts/.hts/tvheadend) on a
    deb package purge operation. Ticket #73

  * If the Program Stream Information changes during a subscription,
    react and send a subscriptionStop + subscriptionStart.
    This happens on SVT (in sweden) when the transmission switches
    from local to nationwide broadcast (AC3 audio is only present
    in nationwide broadcast)
    Ticket #78

  * Channel editor has been reworked a bit. It uses an editorGrid, similar
    to how other grids work in Tvheadend. Tags are mapped inline using
    a list-of-values combobox (http://lovcombo.extjs.eu/)

  * Added a search IMDB direct link in the EPG window popup.
    Ticket #79

  * Add support for configuring DVB multiplexes by entering
    all tuning parameters manually
    Ticket #37

  * Fix a bug causing channel <> tags mapping not to be restored on load.

  * Add exponential backoff for reconnect attempt in code word client.
    Ticket #80

  * Try to detect duplicate EPG entries from the DVB feed and adjust
    EPG accordingly. The EPG code will search for events with the same
    DVB event ID +- 2 events from the current one. If the event id is
    equal, the prvious (old) entry will be removed in favor of the new one.
    Reason for not blindingly trusting the event id is that some networks
    seem to (incorrectly) reuse IDs.
    Ticket #65

 -- Andreas Öman <andreas@lonelycoder.com>  Sat, 18 Jul 2009 23:19:18 +0200

hts-tvheadend (2.2) hts; urgency=low

  * Set $HOME so forked processes (XMLTV) will have correct environment
    and to make the default storage of recorded videos to end up in the
    correct place.

  * Update built-in DVB mux presets to dvb-apps:1275:9655c8cfeed8

  * Add -h option to display usage.

  * Rewrite the internal streaming pipeline.
    This is not externally visible, but needed for a future timeshifter.

  * Make it compile on gcc 4.4

  * Send 'source' and 'network' information in HTSP.subscriptionStart message.

  * When deleting a channel any channel-bound autorecording would stay in
    memory and, sooner or later, cause a crash. This has now been fixed.

  * Add extra scan for XMLTV grabbers in $PATH. Apart from $PATH we also
    scan in /bin, /usr/bin, /usr/local/bin

  * Search for XMLTV grabbers in /usr/bin/perlbin/vendor (archlinux)

  * Fix a bug causing DVB card which does not implement the
    FE_READ_UNCORRECTED_BLOCKS operation to report insane amount of
    forward correction errors.

 -- Andreas Öman <andreas@lonelycoder.com>  Sun, 07 Jun 2009 19:22:49 +0200

hts-tvheadend (2.1) hts; urgency=low

  * Add debconf setup scripts to create a superuser account.

  * HTSP server slightly modified. Now also supports the XBMC HTSP client.

  * tvheadend and showtime went separate ways.

  * tvheadend: Record post-processing added again, run command when a
    recording is done.

  * tvheadend: Fix characterset translation bug introduced in r1902.

 -- Andreas Öman <andreas@lonelycoder.com>  Thu, 28 May 2009 21:07:44 +0200

hts-tvheadend (2.0) unstable; urgency=low

  * tvheadend: All setup and configuration is done from the web user interface.

  * tvheadend: New web user interface based on ExtJS

 -- Andreas Öman <andreas@lonelycoder.com>  Thu, 16 Oct 2008 19:47:23 +0200

hts-tvheadend (1.4) unstable; urgency=low

  * tvheadend: Add support for DVB-S (still in experimenal state)

 -- Andreas Öman <andreas@lonelycoder.com>  Sat, 30 Mar 2008 18:00:00 +0100

hts-tvheadend (1.3) unstable; urgency=low

  * tvheadend: Add support for executing a post processing script after
    recording is completed.

  * tvheadend: Mark I-frames as key-frames in recorder (should make seeking
    work better).

  * tvheadend: Correctly set duration of packets in recorder.

 -- Andreas Öman <andreas@lonelycoder.com>  Thu, 28 Mar 2008 18:00:00 +0100

hts-tvheadend (1.2) unstable; urgency=low

  * Tvheadend has been rewritten from scratch

 -- Andreas Öman <andreas@lonelycoder.com>  Thu, 28 Feb 2008 17:30:00 +0100

hts-tvheadend (1.1) unstable; urgency=low

  * Bugfix: Tvheadend: Do not crash if event name is NULL

  * Rewrite tvheadend internals to fix many serious issues

  * tvheadend now correctly supports recording of h264 content

  * RTSP interface added to tvheadend that supports time shifting of live tv

  * Add web interface to tvheadend

 -- Andreas Öman <andreas@lonelycoder.com>  Sat, 24 Nov 2007 08:11:00 +0100

hts-tvheadend (1.0) unstable; urgency=low

  * Initial release

 -- Andreas Öman <andreas@lonelycoder.com>  Tue, 19 Sep 2007 19:20:00 +0200

